<?php

namespace FiloBlu\AdminSecurity\Api\Data;

interface TrustedInterface
{
    const ID = 'filoblu_as_trusted_id';
    const DATE_TIME = 'date_time';
    const USER_ID = 'user_id';
    const DEVICE_NAME = 'device_name';
    const TOKEN = 'token';
    const LAST_IP = 'last_ip';
    const USER_AGENT = 'user_agent';

    /**
     * @return int
     */
    public function getId();

    /**
     * @param int $value
     * @return \FiloBlu\AdminSecurity\Api\Data\TrustedInterface
     */
    public function setId($value);

    /**
     * @return string
     */
    public function getDateTime();

    /**
     * @param string $value
     * @return \FiloBlu\AdminSecurity\Api\Data\TrustedInterface
     */
    public function setDateTime($value);

    /**
     * @return int
     */
    public function getUserId();

    /**
     * @param int $value
     * @return \FiloBlu\AdminSecurity\Api\Data\TrustedInterface
     */
    public function setUserId($value);

    /**
     * @return string
     */
    public function getDeviceName();

    /**
     * @param string $value
     * @return \FiloBlu\AdminSecurity\Api\Data\TrustedInterface
     */
    public function setDeviceName($value);

    /**
     * @return string
     */
    public function getLastIp();

    /**
     * @param string $value
     * @return \FiloBlu\AdminSecurity\Api\Data\TrustedInterface
     */
    public function setLastIp($value);

    /**
     * @return string
     */
    public function getUserAgent();

    /**
     * @param string $value
     * @return \FiloBlu\AdminSecurity\Api\Data\TrustedInterface
     */
    public function setUserAgent($value);
}